#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
tkinter : calculette minimaliste.

fichier : calculette.py
auteur  : Gérard Swinnen modifié Bob
"""

# Import ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
import tkinter as tk
from math import *

# Définition de fonction ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
def evaluer(event):
    """Évaluation de la sasie."""
    chaine.configure(text="=> " + str(eval(saisie.get())))

# Programme principal ==========================================================
window = tk.Tk()                  # fenêtre de base
saisie = tk.Entry(window)         # zone de saisie
saisie.bind("<Return>", evaluer)  # appel d'un call-back
chaine = tk.Label(window)         # zone d'affichage
saisie.pack()
saisie.focus()
chaine.pack()

window.mainloop()                 # lancement de la boucle d'événements
